Skip to main content
GET
/
v1
/
organizations
/
{organizationId}
/
usageCost
Get organization usage costs
curl --request GET \
  --url https://api.clickhouse.cloud/v1/organizations/{organizationId}/usageCost \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": 200,
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result": {
    "grandTotalCHC": 123,
    "costs": {
      "dataWarehouseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "date": "2023-12-25",
      "entityType": "datawarehouse",
      "entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "entityName": "<string>",
      "metrics": {
        "storageCHC": 123,
        "backupCHC": 123,
        "computeCHC": 123,
        "dataTransferCHC": 123,
        "initialLoadCHC": 123,
        "publicDataTransferCHC": 123,
        "interRegionTier1DataTransferCHC": 123,
        "interRegionTier2DataTransferCHC": 123,
        "interRegionTier3DataTransferCHC": 123,
        "interRegionTier4DataTransferCHC": 123
      },
      "totalCHC": 123,
      "locked": true
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the requested organization.

Query Parameters

from_date
string<date-time>
required

Start date for the report, e.g. 2024-12-19.

to_date
string<date-time>
required

End date (inclusive) for the report, e.g. 2024-12-20. This date cannot be more than 30 days after from_date (for a maximum queried period of 31 days).

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object